Bug 51101 - univention-appcenter: make UCR templates python3-compatible
univention-appcenter: make UCR templates python3-compatible
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-4-errata
Assigned To: Florian Best
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-14 12:42 CEST by Florian Best
Modified: 2021-02-25 13:42 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2020-04-14 12:42:14 CEST
The UCR templates of univention-appcenter have to be python3-compatible.
Comment 1 Florian Best univentionstaff 2020-04-14 13:31:36 CEST
univention-appcenter.yaml
6af1338168ec | YAML Bug #51101

univention-appcenter (8.0.11-129)
cf89b26bc626 | Bug #51101: make UCR templates compatible to python3
Comment 2 Florian Best univentionstaff 2020-04-15 18:26:38 CEST
Additionally I made some appcenter code at least already importable:

univention-appcenter (8.0.11-131)
f7faa42ed06e | Bug #51101: make appcenter importable in python 3
affc0da5c26b | Bug #51101: fix typo
Comment 3 Jürn Brodersen univentionstaff 2020-04-16 15:38:51 CEST
- Changes -> OK
- yaml -> OK
- jenkins -> OK

-> Verified

Note:
usr/share/univention-management-console/i18n/de/apps.mo would need "python3-polib" but the template would not work under python3 any ways (due to "Apps().get_all_locally_installed_apps()"). So I guess we do not need that dependency right now.
Comment 4 Erik Damrose univentionstaff 2020-04-22 15:30:46 CEST
<http://errata.software-univention.de/ucs/4.4/533.html>
Comment 5 Florian Best univentionstaff 2021-02-25 13:42:15 CET
Introduced error in error handling:

    six.reraise(self.__init_etype, self.__init_exc, self.__init_etraceback)
File "/usr/lib/python2.7/dist-packages/univention/management/console/protocol/modserver.py", line 313, in handle
    self.__handler.init()
File "/usr/lib/python2.7/dist-packages/univention/management/console/modules/appcenter/__init__.py", line 156, in init
    get_action('list').get_apps()
File "/usr/lib/python2.7/dist-packages/univention/appcenter/actions/list_apps.py", line 102, in get_apps
    install_permissions = app.install_permissions_exist()
File "/usr/lib/python2.7/dist-packages/univention/appcenter/app.py", line 995, in install_permissions_exist
    self._install_permissions_exist = access(image)
File "/usr/lib/python2.7/dist-packages/univention/appcenter/docker.py", line 99, in access
    except urllib_request.HTTPError as exc:
AttributeError: 'Module_six_moves_urllib_request' object has no attribute 'HTTPError'